<?php $pageTitle='Create a container category';
include realpath(__DIR__).'/../../core/_common/header.php';
/** @var array $data The object we are going to view */
$pageTitle='Container category: '.$data['name'];
/** @noinspection PhpUnhandledExceptionInspection */
$sharedProject=project::getByName(baseproject::SHARED);
$sharedProjectId=$sharedProject['id']; ?>
<script type="text/javascript">

window.addEventListener('DOMContentLoaded',function(){
    const grid = ui.grid();
    const detailsBox = grid.box({
        classes: 'r1 c1 h3 w1',
        title: 'Details'
    });

    const frm = detailsBox.form({
        action: '/api/containercategory/',
        method: 'post',
    });
    frm.hiddenField('projectid',<?php echo $sharedProjectId; ?>);
	frm.textField({ label:"Name", name:'name', value:'' });
	frm.checkbox({
		label:'User create allowed',
		value:0,
		name:'userscancreate'
	});
	frm.createButton();
	
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php';
